Package org.apache.tomcat.util.bcel.classfile

## Class ConstantUtf8

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantUtf8

    public final class ConstantUtf8
    extends Constant

Extends the abstract `Constant` to represent a reference to a UTF-8 encoded string.

See Also:
  `Constant`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBytes()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`getTag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBytes

    public String getBytes()

Returns:
  Data converted to string.